Update a global connection
put
/epm/rest/v1/globalConnections/{globalConnectionId}
Request
Supported Media Types
- application/json
Path Parameters
Root Schema : UpdateGlobalConnectionCommandJson
Type:
Show Source
object-
connectionDetails(required):
object Update Global Connection Details
Discriminator:
typeThe details specific to this connection type. All connection types include a "type", the type of the connection. See the "type" object for allowed values. EPM connections also include: "url", the URL for the connection, "identityDomain", the identity domain for the connection, "username", the username for the connection, "password", the password for the connection. Leave blank to use the already stored password. EPM OAuth connections also include: "url", the URL for the connection, "clientId", the client Id for the connection. Leave blank to use the already client Id. "accessToken", the access token for the connection. Leave blank to use the already stored access token. "refreshToken", the refresh token for the connection. Leave blank to use the already refresh token. Oracle Object Store connections also include: "url", the URL for the connection, "username", the username for the connection, "password", the password for the connection. Leave blank to use the already stored password, "defaultBucket", the updated default Object Storage bucket. Oracle Object Store API Request Sign authenticated connections also include: "tenancyOciId", the OCI Tenancy Id for the connection, "userOciId", the OCI user Id for the connection, "publicKeyFingerprint", the Fingerprint of the public key for the connection, "privateKeyFileId", the file Id of the private key that was uploaded to temp for the connection. UCM connections using Basic Authentication also include: "url", the URL for the connection, "username", the username for the connection, "password", the password for the connection. Leave blank to use the already stored password, "identityDomain", the identity domain for the connection, "defaultDocumentAccount", the updated default UCM document account. UCM connections using OAuth authentication also include: "url", the ERP Application URL for the connection, "idcsTokenUrl", Provider authentication server used to exchange an authorization code for an access token, "clientId", Client ID for the connection, "scope", provides a method to govern the amount of access that is granted to a JSON Web Token, "certificateAlias", Alias name that an EDM user provides while creating the client in ERP IDCS, "privateKeyFileId", the file Id of the private key that was uploaded to temp for the connection, "defaultDocumentAccount", the default UCM document account AVCS connections also include: "url", the updated URL for the connection, "clientId", the updated client Id for the connection, "clientSecret", the updated client Secret for the connection. AZURE connections also include: "url", the URL for the connection, "tenantId", the tenant Id for the connection, "clientId", the client Id for the connection, "clientSecret", the client Secret for the connection, "defaultContainerName", the name of the default container, "defaultFolder", the name of the default folder. -
description(required):
string
The updated description of the connection
-
name(required):
string
The updated name of the connection
-
supportedAppUris(required):
array supportedAppUris
Unique Items Required:
trueThe set of application uris this connection supports. An empty set implies all applications are supported.
Nested Schema : Update Global Connection Details
Type:
objectDiscriminator:
typeThe details specific to this connection type. All connection types include a "type", the type of the connection. See the "type" object for allowed values.
EPM connections also include:
"url", the URL for the connection,
"identityDomain", the identity domain for the connection,
"username", the username for the connection,
"password", the password for the connection. Leave blank to use the already stored password.
EPM OAuth connections also include:
"url", the URL for the connection,
"clientId", the client Id for the connection. Leave blank to use the already client Id.
"accessToken", the access token for the connection. Leave blank to use the already stored access token.
"refreshToken", the refresh token for the connection. Leave blank to use the already refresh token.
Oracle Object Store connections also include:
"url", the URL for the connection,
"username", the username for the connection,
"password", the password for the connection. Leave blank to use the already stored password,
"defaultBucket", the updated default Object Storage bucket.
Oracle Object Store API Request Sign authenticated connections also include:
"tenancyOciId", the OCI Tenancy Id for the connection,
"userOciId", the OCI user Id for the connection,
"publicKeyFingerprint", the Fingerprint of the public key for the connection,
"privateKeyFileId", the file Id of the private key that was uploaded to temp for the connection.
UCM connections using Basic Authentication also include:
"url", the URL for the connection,
"username", the username for the connection,
"password", the password for the connection. Leave blank to use the already stored password,
"identityDomain", the identity domain for the connection,
"defaultDocumentAccount", the updated default UCM document account.
UCM connections using OAuth authentication also include:
"url", the ERP Application URL for the connection,
"idcsTokenUrl", Provider authentication server used to exchange an authorization code for an access token,
"clientId", Client ID for the connection,
"scope", provides a method to govern the amount of access that is granted to a JSON Web Token,
"certificateAlias", Alias name that an EDM user provides while creating the client in ERP IDCS,
"privateKeyFileId", the file Id of the private key that was uploaded to temp for the connection,
"defaultDocumentAccount", the default UCM document account
AVCS connections also include:
"url", the updated URL for the connection,
"clientId", the updated client Id for the connection,
"clientSecret", the updated client Secret for the connection.
AZURE connections also include:
"url", the URL for the connection,
"tenantId", the tenant Id for the connection,
"clientId", the client Id for the connection,
"clientSecret", the client Secret for the connection,
"defaultContainerName", the name of the default container,
"defaultFolder", the name of the default folder.
Show Source
-
type(required):
string
Read Only:
trueAllowed Values:[ "ORACLE_OBJECT_STORE", "ORACLE_OBJECT_STORE_REQ_SIGN", "EPM", "EPM_OAUTH", "UCM", "UCM_OAUTH", "AVCS", "AZURE" ]Type should be set to "EPM" for Oracle Cloud EPM connections, "EPM_OAUTH" for Oracle Cloud EPM OAuth connections, "UCM" for Oracle Cloud ERP connections, "UCM_OAUTH" for Oracle Cloud ERP OAuth connections, "ORACLE_OBJECT_STORE" for Oracle Object Store connections, "ORACLE_OBJECT_STORE_REQ_SIGN" for Oracle Object Store API Request Sign Authenticated connections, "AZURE" for Microsoft Azure connections, and "AVCS" for Oracle Address, Email, and Phone Verification connections.
Nested Schema : supportedAppUris
Type:
arrayUnique Items Required:
trueThe set of application uris this connection supports. An empty set implies all applications are supported.
Show Source
Response
Supported Media Types
- application/json
200 Response
Global Connection updated
Root Schema : GlobalConnection
Type:
Show Source
object-
connectionDetails:
object Global Connection Details
Discriminator:
typeThe details specific to this connection type. All connection types include a "type", the type of the connection. See the "type" object for allowed values. EPM connections also include: "url", the URL for the connection, "identityDomain", the identity domain for the connection, "username", the username for the connection, "password", a placeholder value for the connection's password, "folder", the default folder in the EPM inbox EPM OAuth connections also include: "url", the URL for the connection, "clientId", a placeholder value for the connection's client id, "accessToken", a placeholder value for the connection's access token, "refreshToken", a placeholder value for the connection's refresh token, "authType", the authentication type for the connection, "folder", the folder in the EPM inbox Oracle Object Store connections also include: "url", the URL for the connection, "username", the username for the connection, "password", a placeholder value for the connection's password, "defaultBucket", the default Object Storage bucket, "defaultSubFolder", the default Object Storage subfolder Oracle Object Store API Request Sign authenticated connections also include: "tenancyOciId", the OCI Tenancy Id for the connection, "userOciId", the OCI user Id for the connection, "authType", the authentication type for the connection, "publicKeyFingerprint", the Fingerprint of the public key for the connection, "privateKeyFileId", the file Id of the private key that was uploaded to temp for the connection, UCM connections using Basic Authentication also include: "url", the URL for the connection, "username", the username for the connection, "password", a placeholder value for the connection's password, "identityDomain", the identity domain for the connection, "defaultDocumentAccount", the default UCM document account UCM connections using OAuth authentication also include: "url", the ERP Application URL for the connection, "idcsTokenUrl", Provider authentication server used to exchange an authorization code for an access token, "clientId", Client ID for the connection, "scope", provides a method to govern the amount of access that is granted to a JSON Web Token, "certificateAlias", Alias name that an EDM user provides while creating the client in ERP IDCS, "privateKeyFileId", the file Id of the private key that was uploaded to temp for the connection, "authType", the authentication type for the connection, "defaultDocumentAccount", the default UCM document account AVCS connections also include: "url", the URL for the connection, "clientId", the client Id for the connection, "clientSecret", the client Secret for the connection AZURE connections also include: "url", the URL for the connection, "authType", the authentication type for the connection, "tenantId", the tenant Id for the connection, "clientId", the client Id for the connection, "clientSecret", the client Secret for the connection, "defaultContainerName", the name of the default container "defaultFolder", the name of the default folder -
connectionType:
string
Read Only:
trueAllowed Values:[ "ORACLE_OBJECT_STORE", "UCM", "EPM", "AVCS", "AZURE" ] -
createdByUser:
object User
-
description:
string
Read Only:
true -
id:
string(uuid)
Read Only:
true -
links:
array links
Read Only:
true -
modifiedByUser:
object User
-
name:
string
Read Only:
true -
supportedApplications:
array supportedApplications
Read Only:
true -
timeCreated:
integer(int64)
Read Only:
true -
timeModified:
integer(int64)
Read Only:
true
Nested Schema : Global Connection Details
Type:
objectDiscriminator:
typeThe details specific to this connection type. All connection types include a "type", the type of the connection. See the "type" object for allowed values.
EPM connections also include:
"url", the URL for the connection,
"identityDomain", the identity domain for the connection,
"username", the username for the connection,
"password", a placeholder value for the connection's password,
"folder", the default folder in the EPM inbox
EPM OAuth connections also include:
"url", the URL for the connection,
"clientId", a placeholder value for the connection's client id,
"accessToken", a placeholder value for the connection's access token,
"refreshToken", a placeholder value for the connection's refresh token,
"authType", the authentication type for the connection,
"folder", the folder in the EPM inbox
Oracle Object Store connections also include:
"url", the URL for the connection,
"username", the username for the connection,
"password", a placeholder value for the connection's password,
"defaultBucket", the default Object Storage bucket,
"defaultSubFolder", the default Object Storage subfolder
Oracle Object Store API Request Sign authenticated connections also include:
"tenancyOciId", the OCI Tenancy Id for the connection,
"userOciId", the OCI user Id for the connection,
"authType", the authentication type for the connection,
"publicKeyFingerprint", the Fingerprint of the public key for the connection,
"privateKeyFileId", the file Id of the private key that was uploaded to temp for the connection,
UCM connections using Basic Authentication also include:
"url", the URL for the connection,
"username", the username for the connection,
"password", a placeholder value for the connection's password,
"identityDomain", the identity domain for the connection,
"defaultDocumentAccount", the default UCM document account
UCM connections using OAuth authentication also include:
"url", the ERP Application URL for the connection,
"idcsTokenUrl", Provider authentication server used to exchange an authorization code for an access token,
"clientId", Client ID for the connection,
"scope", provides a method to govern the amount of access that is granted to a JSON Web Token,
"certificateAlias", Alias name that an EDM user provides while creating the client in ERP IDCS,
"privateKeyFileId", the file Id of the private key that was uploaded to temp for the connection,
"authType", the authentication type for the connection,
"defaultDocumentAccount", the default UCM document account
AVCS connections also include:
"url", the URL for the connection,
"clientId", the client Id for the connection,
"clientSecret", the client Secret for the connection
AZURE connections also include:
"url", the URL for the connection,
"authType", the authentication type for the connection,
"tenantId", the tenant Id for the connection,
"clientId", the client Id for the connection,
"clientSecret", the client Secret for the connection,
"defaultContainerName", the name of the default container
"defaultFolder", the name of the default folder
Show Source
-
type(required):
string
Read Only:
trueAllowed Values:[ "ORACLE_OBJECT_STORE", "ORACLE_OBJECT_STORE_REQ_SIGN", "EPM", "EPM_OAUTH", "UCM", "UCM_OAUTH", "AVCS", "AZURE" ]Type should be set to "EPM" for Oracle Cloud EPM connections, "EPM_OAUTH" for Oracle EPM_OAUTH connections, "UCM" for Oracle Cloud ERP connections, "UCM_OAUTH" for Oracle Cloud ERP OAuth connections, "ORACLE_OBJECT_STORE" for Oracle Object Store connections, "ORACLE_OBJECT_STORE_REQ_SIGN" for Oracle Object Store API Request Sign Authenticated connections, "AZURE" for Microsoft Azure connections, and "AVCS" for Oracle Address, Email, and Phone Verification connections.
Nested Schema : User
Type:
Show Source
object-
artifactAssignments:
array artifactAssignments
-
associatedRoles:
array associatedRoles
-
dataManagerOnAny:
boolean
-
emailAddresses:
array emailAddresses
-
epmIdleSessionTimeout:
integer(int32)
-
firstName:
string
-
fullName:
string
-
grantPermission:
string
Allowed Values:
[ "OWNER", "DATAMANAGER", "PARTICIPANT", "APPROVER", "NOTIFIED", "COMMITTER", "NONE", "METADATAMANAGER" ] -
homePageLayoutName:
string
-
id:
string(uuid)
-
lastName:
string
-
links:
array links
-
nameInitials:
string
-
preferences:
object Preferences
-
ssoToken:
string
-
userName:
string
-
userServiceAdministrator:
boolean
Nested Schema : Preferences
Type:
Show Source
object-
actAsThisRole:
string
Allowed Values:
[ "USER", "SERVICE_ADMINISTRATOR" ] -
delegateToUserId:
string(uuid)
-
languageTag:
string
-
links:
array links
-
outOfOffice:
boolean
-
profilePictureId:
string(uuid)
-
timeZone:
object TimeZone
Nested Schema : Artifact
Type:
Show Source
object-
id:
string(uuid)
-
name:
string
-
type:
string
Allowed Values:
[ "CLUSTER", "CARD" ]
Nested Schema : IdNameLink
Type:
Show Source
object-
description:
string
Read Only:
true -
id:
string(uuid)
-
links:
array links
-
name:
string
400 Response
Error in body
404 Response
Global Connection not found
412 Response
Conflicting update error
Examples
The following example shows how to update the details of a specific global connection by using a put request on the REST resource using cURL.
cURL Command
curl --user epm_cloud_user -X PUT -H 'Content-Type: application/json' @example_request_payload.json https://servername.fa.us2.oraclecloud.com/epm/rest/v1/globalConnections/b3ee4f46-9b49-4422-b8b5-7113038e7015
Example of Request Body
The following shows an example of the request body in JSON format.
{
"name": "Fusion",
"description": "Fusion",
"connectionDetails": {
"url": "http[s]://hostname[:port]",
"username": "User1",
"password": "daa64d99-9c88-4109-a75b-c9756b7d0796",
"type": "UCM"
},
"supportedApplications": []
}
Example of Response Body
The following shows an example of the response body in JSON format.
{
"id": "b3ee4f46-9b49-4422-b8b5-7113038e7015",
"name": "Fusion",
"description": "Fusion",
"connectionDetails": {
"url": "http[s]://hostname[:port]",
"username": "User1",
"password": "daa64d99-9c88-4109-a75b-c9756b7d0796",
"type": "UCM"
},
"connectionType": "UCM",
"timeCreated": "2021-06-16T08:57:04.163Z",
"timeModified": "2022-01-05T03:22:07.488Z",
"supportedApplications": [],
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/globalConnections/b3ee4f46-9b49-4422-b8b5-7113038e7015"
},
{
"rel": "edit",
"href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/globalConnections/b3ee4f46-9b49-4422-b8b5-7113038e7015",
"method": "PUT"
},
{
"rel": "delete",
"href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/globalConnections/b3ee4f46-9b49-4422-b8b5-7113038e7015",
"method": "DELETE"
},
{
"rel": "testConnection",
"href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/globalConnections/b3ee4f46-9b49-4422-b8b5-7113038e7015/test",
"method": "POST"
}
],
"createdByUser": {
"id": "d93d33f8-f24e-4eaa-8c14-df45501d949a",
"userName": "Casey.Brown",
"fullName": "Casey Brown",
"firstName": "Casey",
"lastName": "Brown",
"emailAddresses": [],
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/users/d93d33f8-f24e-4eaa-8c14-df45501d949a"
}
],
"nameInitials": ""
},
"modifiedByUser": {
"id": "d93d33f8-f24e-4eaa-8c14-df45501d949a",
"userName": "Casey.Brown",
"fullName": "Casey Brown",
"firstName": "Casey",
"lastName": "Brown",
"emailAddresses": [],
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/users/d93d33f8-f24e-4eaa-8c14-df45501d949a"
}
],
"nameInitials": ""
}
}